Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.

List payment schedule schemes

Returns a list of payment schedule schemes that match all the specified filter conditions. The list is sorted by id in descending order. Use limit and offset to paginate through the results.

Sample Request

List payment schedule schemes

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/payment_schedule_schemes

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

An auto-generated unique identifier for the payment schedule scheme. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "scheme-id"

Supported operators: is, is_not, starts_with, in, not_in
Example scheme-id
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

To filter based on updated_at. This attribute will be present only if the resource has been updated after 2016-09-28. Supported operators : after, before, on, between

Example → updated_at[after] = "1435054328"

Supported operators: after, before, on, between
Example 1435054328

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Payment schedule scheme object

Resource object representing payment_schedule_scheme